## org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core
Class DefaultSchemaObjectEditorActionBarContributor

    java.lang.Object
      org.eclipse.datatools.sqltools.schemaobjecteditor.ui.core.DefaultSchemaObjectEditorActionBarContributor

All Implemented Interfaces:
  ISchemaObjectEditorActionBarContributor

Direct Known Subclasses:
  ProceduralObjectEditorActionContributor

    public class DefaultSchemaObjectEditorActionBarContributor

extends java.lang.Object
implements ISchemaObjectEditorActionBarContributor

Consumers should extend this class instead of implementing `ISchemaObjectEditorActionBarContributor`

Author:
  Idull

Constructor Summary
`DefaultSchemaObjectEditorActionBarContributor()`

Method Summary
`void` `contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)` Contributes actions to cool bar.
`void` `contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)` Contributes actions to menu
`void` `contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)` Sets/clears message on status line
`void` `contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)` Contribute actions to tool bar
`org.eclipse.ui.IActionBars` `getActionBars()` Returns this contributor's action bars.
`org.eclipse.ui.IWorkbenchPage` `getPage()` Returns this contributor's workbench page.
`void` `init(org.eclipse.ui.IActionBars bars, org.eclipse.ui.IWorkbenchPage page)` Initializes this contributor, which is expected to add contributions as required to the given action bars and global action handlers.
`void` `setActivePage(org.eclipse.ui.IEditorPart activeEditor)` This method is called whenever the page changes.
`void` `setEditor(ISchemaObjectEditor editor)` Sets the editor

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSchemaObjectEditorActionBarContributor

    public DefaultSchemaObjectEditorActionBarContributor()

Method Detail

### setEditor

    public void setEditor(ISchemaObjectEditor editor)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  Sets the editor

  Specified by:
    `setEditor` in interface `ISchemaObjectEditorActionBarContributor`

### contributeToCoolBar

    public void contributeToCoolBar(org.eclipse.jface.action.ICoolBarManager coolBarManager)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  Contributes actions to cool bar.

  Specified by:
    `contributeToCoolBar` in interface `ISchemaObjectEditorActionBarContributor`

### contributeToMenu

    public void contributeToMenu(org.eclipse.jface.action.IMenuManager menuManager)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  Contributes actions to menu

  Specified by:
    `contributeToMenu` in interface `ISchemaObjectEditorActionBarContributor`

### contributeToStatusLine

    public void contributeToStatusLine(org.eclipse.jface.action.IStatusLineManager statusLineManager)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  Sets/clears message on status line

  Specified by:
    `contributeToStatusLine` in interface `ISchemaObjectEditorActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(org.eclipse.jface.action.IToolBarManager toolBarManager)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  Contribute actions to tool bar

  Specified by:
    `contributeToToolBar` in interface `ISchemaObjectEditorActionBarContributor`

### setActivePage

    public void setActivePage(org.eclipse.ui.IEditorPart activeEditor)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  This method is called whenever the page changes. Subclasses must implement this method to redirect actions to the given editor (if not already directed to it).

  Specified by:
    `setActivePage` in interface `ISchemaObjectEditorActionBarContributor`

### init

    public void init(org.eclipse.ui.IActionBars bars,
                     org.eclipse.ui.IWorkbenchPage page)

  Description copied from interface: `ISchemaObjectEditorActionBarContributor`
  Initializes this contributor, which is expected to add contributions as required to the given action bars and global action handlers.

  The page is passed to support the use of `RetargetAction` by the contributor. In this case the init method implementors should:

  - 1) set retarget actions as global action handlers
  - 2) add the retarget actions as part listeners
  - 3) get the active part and if not `null` call partActivated on the retarget actions

  And in the dispose method the retarget actions should be removed as part listeners.

  Specified by:
    `init` in interface `ISchemaObjectEditorActionBarContributor`
  Parameters:
    `bars` - the action bars
    `page` - the workbench page for this contributor

### getActionBars

    public org.eclipse.ui.IActionBars getActionBars()

  Returns this contributor's action bars.

  Specified by:
    `getActionBars` in interface `ISchemaObjectEditorActionBarContributor`
  Returns:
    the action bars

### getPage

    public org.eclipse.ui.IWorkbenchPage getPage()

  Returns this contributor's workbench page.

  Specified by:
    `getPage` in interface `ISchemaObjectEditorActionBarContributor`
  Returns:
    the workbench page